---
title: WindowEventHandlers.onafterprint
slug: Web/API/WindowEventHandlers/onafterprint
tags:
  - API
  - Event Handler
  - HTML DOM
  - Property
  - Reference
  - Window
  - printing
---
<div>{{ApiRef}}</div>

<p>The <code><strong>onafterprint</strong></code> property of the {{domxref("WindowEventHandlers")}} mixin is the {{domxref("EventHandler")}} for processing {{event("afterprint")}} events for the current window. These events are raised after the user prints, or if they abort the print dialog.</p>

<p>The {{event("beforeprint")}} and <code>afterprint</code> events allow pages to change their content before printing starts (perhaps to remove a banner, for example) and then revert those changes after printing has completed. In general, you should prefer the use of a <code><a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries#Media_types">@media print</a></code> CSS at-rule, but it may be necessary to use these events in some cases.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">window.addEventListener("afterprint", function(event) { ... });
window.onafterprint = function(event) { ... };</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#handler-window-onafterprint', 'onafterprint')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WindowEventHandlers.onafterprint")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Window.print()")}}</li>
 <li>{{domxref("WindowEventHandlers.onbeforeprint")}}</li>
 <li><a href="/en-US/docs/Web/Guide/Printing" title="Printing">Printing</a></li>
</ul>
